Subject: bug#19946: 24.4; js-mode, indentation

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 25 Aug 2020 11:48:24 +0200

Dmitry Gutov <[email-masked]> writes:

> On 03/20/2016 12:13 AM, Simen Heggestøyl wrote:
>> Can confirm that this bug is still present on the current master branch
>> (070b9de). The following patch seems to fix it:
>
> I do not mind, but I'm not sure if we actually want to support this
> usage. There are a lot regexps in lisp/progmodes that use $. There are
> several in js-mode, aside from this one.
>
> Some modes try to match [\r\n] (like CC Mode), but in general they
> seem to be a minority, and even CC Mode doesn't do that consistently.

I think the rough consensus here is that we don't want to support this
in Emacs, so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no